OSDN Git Service

Add file left out of prior commit, and regenerate the proper configure script
[pf3gnuchains/gcc-fork.git] / gcc / configure
index 7005ee4..aab96bb 100755 (executable)
@@ -680,10 +680,9 @@ OUTPUT_OPTION
 CPP
 GREP
 EGREP
-strict1_warn
+strict_warn
 cxx_compat_warn
 warn_cflags
-WERROR
 nocommon_flag
 TREEBROWSER
 valgrind_path
@@ -715,7 +714,6 @@ FLEX
 BISON
 NM
 AR
-stage1_cflags
 COLLECT2_LIBS
 GNAT_LIBEXC
 LDEXP_LIB
@@ -768,24 +766,18 @@ slibdir
 objdir
 subdirs
 srcdir
-all_boot_languages
 all_compilers
 all_gtfiles
-all_gtfiles_files_langs
-all_gtfiles_files_files
 all_lang_makefrags
 all_lang_makefiles
 all_languages
 all_selected_languages
-all_stagestuff
 build_exeext
 build_install_headers_dir
 build_xm_file_list
 build_xm_include_list
 build_xm_defines
 check_languages
-cc_set_by_configure
-quoted_cc_set_by_configure
 cpp_install_dir
 xmake_file
 tmake_file
@@ -812,8 +804,6 @@ md_file
 objc_boehm_gc
 out_file
 out_object_file
-stage_prefix_set_by_configure
-quoted_stage_prefix_set_by_configure
 thread_file
 tm_file_list
 tm_include_list
@@ -1425,7 +1415,6 @@ Optional Features:
                           intended for creating source tarballs for users
                           without texinfo bison or flex.
   --enable-werror-always         enable -Werror always
-  --enable-werror         enable -Werror in bootstrap stage2 and later
   --enable-checking=LIST
                          enable expensive run-time checks.  With LIST,
                          enable only specific categories of checks.
@@ -1442,7 +1431,10 @@ Optional Features:
   --enable-gather-detailed-mem-stats         enable detailed memory allocation stats gathering
   --enable-multilib       enable library support for multiple ABIs
   --enable-__cxa_atexit   enable __cxa_atexit for C++
-  --enable-decimal-float  enable decimal float extension to C
+  --enable-decimal-float={no,yes,bid,dpd}
+                       enable decimal float extension to C.  Selecting 'bid'
+                       or 'dpd' choses which decimal floating point format
+                       to use
   --enable-threads        enable thread usage for target GCC
   --enable-threads=LIB    use LIB thread package for target GCC
   --enable-tls            enable or disable generation of tls code
@@ -6932,11 +6924,11 @@ fi
 { echo "$as_me:$LINENO: result: $ac_cv_prog_cc_w_no_overlength_strings" >&5
 echo "${ECHO_T}$ac_cv_prog_cc_w_no_overlength_strings" >&6; }
 
-strict1_warn=
+strict_warn=
 if test $ac_cv_prog_cc_w_no_long_long = yes \
    && test $ac_cv_prog_cc_w_no_variadic_macros = yes \
    && test $ac_cv_prog_cc_w_no_overlength_strings = yes ; then
-  strict1_warn="-pedantic -Wno-long-long -Wno-variadic-macros -Wno-overlength-strings"
+  strict_warn="-pedantic -Wno-long-long -Wno-variadic-macros -Wno-overlength-strings"
 fi
 
 # Add -Wold-style-definition if it's accepted
@@ -6987,7 +6979,7 @@ fi
 { echo "$as_me:$LINENO: result: $ac_cv_prog_cc_w_old_style_definition" >&5
 echo "${ECHO_T}$ac_cv_prog_cc_w_old_style_definition" >&6; }
 if test $ac_cv_prog_cc_w_old_style_definition = yes ; then
-  strict1_warn="${strict1_warn} -Wold-style-definition"
+  strict_warn="${strict_warn} -Wold-style-definition"
 fi
 
 # Add -Wmissing-format-attribute if it's accepted
@@ -7038,7 +7030,7 @@ fi
 { echo "$as_me:$LINENO: result: $ac_cv_prog_cc_w_missing_format_attribute" >&5
 echo "${ECHO_T}$ac_cv_prog_cc_w_missing_format_attribute" >&6; }
 if test $ac_cv_prog_cc_w_missing_format_attribute = yes ; then
-  strict1_warn="${strict1_warn} -Wmissing-format-attribute"
+  strict_warn="${strict_warn} -Wmissing-format-attribute"
 fi
 
 # Enable -Werror, period.
@@ -7050,12 +7042,10 @@ else
 fi
 
 if test x${enable_werror_always} = xyes ; then
-  strict1_warn="${strict1_warn} -Werror"
-  WERROR=-Werror
+  strict_warn="${strict_warn} -Werror"
 fi
 
 
-
 # Get C++ compatibility warning flag, if supported.
 { echo "$as_me:$LINENO: checking whether ${CC} accepts -Wc++-compat" >&5
 echo $ECHO_N "checking whether ${CC} accepts -Wc++-compat... $ECHO_C" >&6; }
@@ -7118,30 +7108,12 @@ if test "x$GCC" = "xyes"; then
 fi
 
 
-# Enable -Werror in bootstrap stage2 and later.
+# Enable expensive internal checks
 is_release=
 if test x"`cat $srcdir/DEV-PHASE`" != xexperimental; then
   is_release=yes
 fi
-# Check whether --enable-werror was given.
-if test "${enable_werror+set}" = set; then
-  enableval=$enable_werror;
-else
-  if test x$is_release = x ; then
-  # Default to "yes" on development branches.
-  enable_werror=yes
-else
-  # Default to "no" on release branches.
-  enable_werror=no
-fi
-fi
 
-if test x$enable_werror = xyes ; then
-  WERROR=-Werror
-fi
-
-
-# Enable expensive internal checks
 # Check whether --enable-checking was given.
 if test "${enable_checking+set}" = set; then
   enableval=$enable_checking; ac_checking_flags="${enableval}"
@@ -7688,9 +7660,19 @@ fi
 # Check whether --enable-decimal-float was given.
 if test "${enable_decimal_float+set}" = set; then
   enableval=$enable_decimal_float;
-  if test x$enablevar = xyes ; then
-    case $target in
-    powerpc*-*-linux* | i?86*-*-linux*)
+  case $enable_decimal_float in
+    yes | no | bid | dpd) ;;
+    *) { { echo "$as_me:$LINENO: error: '$enable_decimal_float' is an invalid value for --enable-decimal-float.
+Valid choices are 'yes', 'bid', 'dpd', and 'no'." >&5
+echo "$as_me: error: '$enable_decimal_float' is an invalid value for --enable-decimal-float.
+Valid choices are 'yes', 'bid', 'dpd', and 'no'." >&2;}
+   { (exit 1); exit 1; }; } ;;
+  esac
+
+else
+
+  case $target in
+    powerpc*-*-linux* | i?86*-*-linux* | x86_64*-*-linux*)
       enable_decimal_float=yes
       ;;
     *)
@@ -7698,20 +7680,42 @@ if test "${enable_decimal_float+set}" = set; then
 echo "$as_me: WARNING: decimal float is not supported for this target" >&2;}
       enable_decimal_float=no
       ;;
-    esac
-  fi
+  esac
 
-else
-  enable_decimal_float=no
 fi
 
 
+dfp=`if test $enable_decimal_float != no; then echo 1; else echo 0; fi`
+
+cat >>confdefs.h <<_ACEOF
+#define ENABLE_DECIMAL_FLOAT $dfp
+_ACEOF
+
+
+# x86's use BID format instead of DPD
+case x$enable_decimal_float in
+  xyes)
+    case $target in
+      i?86*-*-linux* | x86_64*-*-linux*)
+       enable_decimal_float=bid
+       ;;
+      *)
+       enable_decimal_float=dpd
+       ;;
+    esac
+    ;;
+  xno)
+    # ENABLE_DECIMAL_FLOAT is set to 0. But we have to have proper
+    # dependency on libdecnumber.
+    enable_decimal_float=dpd
+    ;;
+esac
 
 
-dfp=`if test $enable_decimal_float = yes; then echo 1; else echo 0; fi`
+bid=`if test $enable_decimal_float = bid; then echo 1; else echo 0; fi`
 
 cat >>confdefs.h <<_ACEOF
-#define ENABLE_DECIMAL_FLOAT $dfp
+#define ENABLE_DECIMAL_BID_FORMAT $bid
 _ACEOF
 
 
@@ -7804,7 +7808,7 @@ if test "${with_sysroot+set}" = set; then
  esac
 
  TARGET_SYSTEM_ROOT_DEFINE='-DTARGET_SYSTEM_ROOT=\"$(TARGET_SYSTEM_ROOT)\"'
- CROSS_SYSTEM_HEADER_DIR='$(TARGET_SYSTEM_ROOT)$(NATIVE_SYSTEM_HEADER_DIR)'
+ CROSS_SYSTEM_HEADER_DIR='$(TARGET_SYSTEM_ROOT)$${sysroot_headers_suffix}$(NATIVE_SYSTEM_HEADER_DIR)'
 
  if test "x$exec_prefix" = xNONE; then
   if test "x$prefix" = xNONE; then
@@ -8330,7 +8334,7 @@ if test "${gcc_cv_prog_makeinfo_modern+set}" = set; then
 else
     ac_prog_version=`$MAKEINFO --version 2>&1 |
                    sed -n 's/^.*GNU texinfo.* \([0-9][0-9.]*\).*$/\1/p'`
-  echo "configure:8333: version of makeinfo is $ac_prog_version" >&5
+  echo "configure:8337: version of makeinfo is $ac_prog_version" >&5
   case $ac_prog_version in
     '')     gcc_cv_prog_makeinfo_modern=no;;
     4.[4-9]*)
@@ -9506,19 +9510,6 @@ esac
 # UNSORTED
 # --------
 
-# Stage specific cflags for build.
-stage1_cflags=
-case $build in
-vax-*-*)
-  if test x$GCC = xyes
-  then
-    stage1_cflags="-Wa,-J"
-  else
-    stage1_cflags="-J"
-  fi
-  ;;
-esac
-
 
 # These libraries may be used by collect2.
 # We may need a special search path to get them linked.
@@ -12881,6 +12872,7 @@ if test "${gcc_cv_mcontext_underscores+set}" = set; then
 else
   cat >conftest.$ac_ext <<_ACEOF
 
+#include <sys/cdefs.h>
 #include <sys/signal.h>
 #include <ucontext.h>
 int main() { mcontext_t m; if (m->ss.srr0) return 0; return 0; }
 done
 tmake_file="${tmake_file_}"
 
-# If the host doesn't support symlinks, modify CC in
-# FLAGS_TO_PASS so CC="stage1/xgcc -Bstage1/" works.
-# Otherwise, we can use "CC=$(CC)".
-rm -f symtest.tem
-case "$LN_S" in
-       *-s*)
-               cc_set_by_configure="\$(CC)"
-               quoted_cc_set_by_configure="\$(CC)"
-               stage_prefix_set_by_configure="\$(STAGE_PREFIX)"
-               quoted_stage_prefix_set_by_configure="\$(STAGE_PREFIX)"
-               ;;
-       *)
-               cc_set_by_configure="\`case '\$(CC)' in stage*) echo '\$(CC)' | sed -e 's|stage|../stage|g';; *) echo '\$(CC)';; esac\`"
-               quoted_cc_set_by_configure="\\\`case '\\\$(CC)' in stage*) echo '\\\$(CC)' | sed -e 's|stage|../stage|g';; *) echo '\\\$(CC)';; esac\\\`"
-               stage_prefix_set_by_configure="\`case '\$(STAGE_PREFIX)' in stage*) echo '\$(STAGE_PREFIX)' | sed -e 's|stage|../stage|g';; *) echo '\$(STAGE_PREFIX)';; esac\`"
-               quoted_stage_prefix_set_by_configure="\\\`case '\\\$(STAGE_PREFIX)' in stage*) echo '\\\$(STAGE_PREFIX)' | sed -e 's|stage|../stage|g';; *) echo '\\\$(STAGE_PREFIX)';; esac\\\`"
-               ;;
-esac
-
 # This is a terrible hack which will go away some day.
 host_cc_for_libada=${CC}
 
@@ -13535,6 +13508,11 @@ tm_file_list="options.h"
 tm_include_list="options.h"
 for f in $tm_file; do
   case $f in
+    ./* )
+       f=`echo $f | sed 's/^..//'`
+       tm_file_list="${tm_file_list} $f"
+       tm_include_list="${tm_include_list} $f"
+       ;;
     defaults.h )
        tm_file_list="${tm_file_list} \$(srcdir)/$f"
        tm_include_list="${tm_include_list} $f"
@@ -13624,7 +13602,7 @@ ALL=all.internal
 SYSTEM_HEADER_DIR='$(NATIVE_SYSTEM_HEADER_DIR)'
 
 if test "x$with_build_sysroot" != x; then
-  build_system_header_dir=$with_build_sysroot'$(NATIVE_SYSTEM_HEADER_DIR)'
+  build_system_header_dir=$with_build_sysroot'$${sysroot_headers_suffix}$(NATIVE_SYSTEM_HEADER_DIR)'
 else
   # This value is used, even on a native system, because
   # CROSS_SYSTEM_HEADER_DIR is just
@@ -15744,6 +15722,39 @@ _ACEOF
 
 fi
 
+    { echo "$as_me:$LINENO: checking assembler for sahf mnemonic" >&5
+echo $ECHO_N "checking assembler for sahf mnemonic... $ECHO_C" >&6; }
+if test "${gcc_cv_as_ix86_sahf+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  gcc_cv_as_ix86_sahf=no
+  if test x$gcc_cv_as != x; then
+    echo 'sahf' > conftest.s
+    if { ac_try='$gcc_cv_as  -o conftest.o conftest.s >&5'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }
+    then
+       gcc_cv_as_ix86_sahf=yes
+    else
+      echo "configure: failed program was" >&5
+      cat conftest.s >&5
+    fi
+    rm -f conftest.o conftest.s
+  fi
+fi
+{ echo "$as_me:$LINENO: result: $gcc_cv_as_ix86_sahf" >&5
+echo "${ECHO_T}$gcc_cv_as_ix86_sahf" >&6; }
+if test $gcc_cv_as_ix86_sahf = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_AS_IX86_SAHF 1
+_ACEOF
+
+fi
+
     { echo "$as_me:$LINENO: checking assembler for different section symbol subtraction" >&5
 echo $ECHO_N "checking assembler for different section symbol subtraction... $ECHO_C" >&6; }
 if test "${gcc_cv_as_ix86_diff_sect_delta+set}" = set; then
@@ -16137,6 +16148,98 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
 fi
+
+    case $target in
+      *-*-aix*) conftest_s='   .machine "pwr6"
+       .csect .text[PR]
+       cmpb 3,4,5';;
+      *) conftest_s='  .machine power6
+       .text
+       cmpb 3,4,5';;
+    esac
+
+    { echo "$as_me:$LINENO: checking assembler for compare bytes support" >&5
+echo $ECHO_N "checking assembler for compare bytes support... $ECHO_C" >&6; }
+if test "${gcc_cv_as_powerpc_cmpb+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  gcc_cv_as_powerpc_cmpb=no
+    if test $in_tree_gas = yes; then
+    if test $gcc_cv_gas_vers -ge `expr \( \( 9 \* 1000 \) + 99 \) \* 1000 + 0`
+  then gcc_cv_as_powerpc_cmpb=yes
+fi
+  elif test x$gcc_cv_as != x; then
+    echo "$conftest_s" > conftest.s
+    if { ac_try='$gcc_cv_as -a32 -o conftest.o conftest.s >&5'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }
+    then
+       gcc_cv_as_powerpc_cmpb=yes
+    else
+      echo "configure: failed program was" >&5
+      cat conftest.s >&5
+    fi
+    rm -f conftest.o conftest.s
+  fi
+fi
+{ echo "$as_me:$LINENO: result: $gcc_cv_as_powerpc_cmpb" >&5
+echo "${ECHO_T}$gcc_cv_as_powerpc_cmpb" >&6; }
+if test $gcc_cv_as_powerpc_cmpb = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_AS_CMPB 1
+_ACEOF
+
+fi
+
+    case $target in
+      *-*-aix*) conftest_s='   .machine "pwr6"
+       .csect .text[PR]
+       dadd 1,3';;
+      *) conftest_s='  .machine power6
+       .text
+       dadd 1,3';;
+    esac
+
+    { echo "$as_me:$LINENO: checking assembler for decimal float support" >&5
+echo $ECHO_N "checking assembler for decimal float support... $ECHO_C" >&6; }
+if test "${gcc_cv_as_powerpc_dfp+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  gcc_cv_as_powerpc_dfp=no
+    if test $in_tree_gas = yes; then
+    if test $gcc_cv_gas_vers -ge `expr \( \( 9 \* 1000 \) + 99 \) \* 1000 + 0`
+  then gcc_cv_as_powerpc_dfp=yes
+fi
+  elif test x$gcc_cv_as != x; then
+    echo "$conftest_s" > conftest.s
+    if { ac_try='$gcc_cv_as -a32 -o conftest.o conftest.s >&5'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }
+    then
+       gcc_cv_as_powerpc_dfp=yes
+    else
+      echo "configure: failed program was" >&5
+      cat conftest.s >&5
+    fi
+    rm -f conftest.o conftest.s
+  fi
+fi
+{ echo "$as_me:$LINENO: result: $gcc_cv_as_powerpc_dfp" >&5
+echo "${ECHO_T}$gcc_cv_as_powerpc_dfp" >&6; }
+if test $gcc_cv_as_powerpc_dfp = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_AS_DFP 1
+_ACEOF
+
+fi
     ;;
 
   mips*-*-*)
@@ -16240,7 +16343,7 @@ esac
 case "$target" in
   i?86*-*-* | mips*-*-* | alpha*-*-* | powerpc*-*-* | sparc*-*-* | m68*-*-* \
   | x86_64*-*-* | hppa*-*-* | arm*-*-* | strongarm*-*-* | xscale*-*-* \
-  | xstormy16*-*-* | cris-*-* | xtensa-*-* | bfin-*-* | score*-*-*)
+  | xstormy16*-*-* | cris-*-* | xtensa-*-* | bfin-*-* | score*-*-* | spu-*-*)
     insn="nop"
     ;;
   ia64*-*-* | s390*-*-*)
@@ -16420,6 +16523,46 @@ _ACEOF
 fi
 fi
 
+{ echo "$as_me:$LINENO: checking assembler for tolerance to line number 0" >&5
+echo $ECHO_N "checking assembler for tolerance to line number 0... $ECHO_C" >&6; }
+if test "${gcc_cv_as_line_zero+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  gcc_cv_as_line_zero=no
+  if test $in_tree_gas = yes; then
+    if test $gcc_cv_gas_vers -ge `expr \( \( 2 \* 1000 \) + 16 \) \* 1000 + 91`
+  then gcc_cv_as_line_zero=yes
+fi
+  elif test "x$gcc_cv_as" != x; then
+    { echo '# 1 "test.s" 1'; echo '# 0 "" 2'; } > conftest.s
+    if { ac_try='$gcc_cv_as -o conftest.o conftest.s >&5 2>conftest.out'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+       test "x`cat conftest.out`" = x
+    then
+      gcc_cv_as_line_zero=yes
+    else
+      echo "configure: failed program was" >&5
+      cat conftest.s >&5
+      echo "configure: error output was" >&5
+      cat conftest.out >&5
+    fi
+    rm -f conftest.o conftest.s conftest.out
+  fi
+fi
+{ echo "$as_me:$LINENO: result: $gcc_cv_as_line_zero" >&5
+echo "${ECHO_T}$gcc_cv_as_line_zero" >&6; }
+if test "x$gcc_cv_as_line_zero" = xyes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_AS_LINE_ZERO 1
+_ACEOF
+
+fi
+
 { echo "$as_me:$LINENO: checking linker read-only and read-write section mixing" >&5
 echo $ECHO_N "checking linker read-only and read-write section mixing... $ECHO_C" >&6; }
 gcc_cv_ld_ro_rw_mix=unknown
@@ -16724,6 +16867,8 @@ else
       if test x$host != x$target || test "x$TARGET_SYSTEM_ROOT" != x; then
        if test "x$with_sysroot" = x; then
          glibc_header_dir="${exec_prefix}/${target_noncanonical}/sys-include"
+       elif test "x$with_build_sysroot" != "x"; then
+         glibc_header_dir="${with_build_sysroot}/usr/include"
        elif test "x$with_sysroot" = xyes; then
          glibc_header_dir="${exec_prefix}/${target_noncanonical}/sys-root/usr/include"
        else
@@ -16868,6 +17013,8 @@ else
       if test x$host != x$target || test "x$TARGET_SYSTEM_ROOT" != x; then
        if test "x$with_sysroot" = x; then
          glibc_header_dir="${exec_prefix}/${target_noncanonical}/sys-include"
+       elif test "x$with_build_sysroot" != "x"; then
+         glibc_header_dir="${with_build_sysroot}/usr/include"
        elif test "x$with_sysroot" = xyes; then
          glibc_header_dir="${exec_prefix}/${target_noncanonical}/sys-root/usr/include"
        else
@@ -16969,19 +17116,14 @@ lang_tree_files=
 # These (without "all_") are set in each config-lang.in.
 # `language' must be a single word so is spelled singularly.
 all_languages=
-all_boot_languages=
 all_compilers=
-all_stagestuff=
 all_outputs='Makefile gccbug libada-mk'
 # List of language makefile fragments.
 all_lang_makefrags=
 # List of language subdirectory makefiles.  Deprecated.
 all_lang_makefiles=
-# Files for gengtype
+# Additional files for gengtype
 all_gtfiles="$target_gtfiles"
-# Files for gengtype with language
-all_gtfiles_files_langs=
-all_gtfiles_files_files=
 
 # These are the languages that are set in --enable-languages,
 # and are available in the GCC tree.
@@ -17020,7 +17162,6 @@ do
        language=
        boot_language=
        compilers=
-       stagestuff=
        outputs=
        gtfiles=
        subdir_requires=
                then all_lang_makefiles="$subdir/Makefile"
        fi
        all_languages="$all_languages $language"
-       if test "x$boot_language" = xyes
-       then
-               all_boot_languages="$all_boot_languages $language"
-       fi
        all_compilers="$all_compilers $compilers"
-       all_stagestuff="$all_stagestuff $stagestuff"
        all_outputs="$all_outputs $outputs"
-       all_gtfiles="$all_gtfiles $gtfiles"
-       for f in $gtfiles
-       do
-               all_gtfiles_files_langs="$all_gtfiles_files_langs ${subdir} "
-               all_gtfiles_files_files="$all_gtfiles_files_files ${f} "
-       done
+       all_gtfiles="$all_gtfiles [$subdir] $gtfiles"
 done
 
 # Pick up gtfiles for c
 gtfiles=
-subdir="c"
 . ${srcdir}/c-config-lang.in
-all_gtfiles="$all_gtfiles $gtfiles"
-for f in $gtfiles
-do
-        all_gtfiles_files_langs="$all_gtfiles_files_langs ${subdir} "
-        all_gtfiles_files_files="$all_gtfiles_files_files ${f} "
-done
+all_gtfiles="$all_gtfiles [c] $gtfiles"
 
 check_languages=
 for language in $all_selected_languages
@@ -17093,10 +17218,9 @@ done
 rm -f Make-hooks
 touch Make-hooks
 target_list="all.cross start.encap rest.encap tags \
-       install-common install-man install-info dvi pdf html \
-       uninstall info man srcextra srcman srcinfo \
-       mostlyclean clean distclean maintainer-clean \
-       stage1 stage2 stage3 stage4 stageprofile stagefeedback"
+       install-common install-man install-info install-pdf dvi pdf \
+       html uninstall info man srcextra srcman srcinfo \
+       mostlyclean clean distclean maintainer-clean"
 
 for t in $target_list
 do
 
 
 
-
-
-
-
-
-
-
-
 # Echo link setup.
 if test x${build} = x${host} ; then
   if test x${host} = x${target} ; then
@@ -18015,10 +18131,9 @@ OUTPUT_OPTION!$OUTPUT_OPTION$ac_delim
 CPP!$CPP$ac_delim
 GREP!$GREP$ac_delim
 EGREP!$EGREP$ac_delim
-strict1_warn!$strict1_warn$ac_delim
+strict_warn!$strict_warn$ac_delim
 cxx_compat_warn!$cxx_compat_warn$ac_delim
 warn_cflags!$warn_cflags$ac_delim
-WERROR!$WERROR$ac_delim
 nocommon_flag!$nocommon_flag$ac_delim
 TREEBROWSER!$TREEBROWSER$ac_delim
 valgrind_path!$valgrind_path$ac_delim
@@ -18042,6 +18157,7 @@ INSTALL!$INSTALL$ac_delim
 INSTALL_PROGRAM!$INSTALL_PROGRAM$ac_delim
 INSTALL_DATA!$INSTALL_DATA$ac_delim
 make_compare_target!$make_compare_target$ac_delim
+have_mktemp_command!$have_mktemp_command$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 94; then
@@ -18087,7 +18203,6 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
-have_mktemp_command!$have_mktemp_command$ac_delim
 MAKEINFO!$MAKEINFO$ac_delim
 BUILD_INFO!$BUILD_INFO$ac_delim
 GENERATED_MANPAGES!$GENERATED_MANPAGES$ac_delim
@@ -18095,7 +18210,6 @@ FLEX!$FLEX$ac_delim
 BISON!$BISON$ac_delim
 NM!$NM$ac_delim
 AR!$AR$ac_delim
-stage1_cflags!$stage1_cflags$ac_delim
 COLLECT2_LIBS!$COLLECT2_LIBS$ac_delim
 GNAT_LIBEXC!$GNAT_LIBEXC$ac_delim
 LDEXP_LIB!$LDEXP_LIB$ac_delim
@@ -18148,24 +18262,18 @@ slibdir!$slibdir$ac_delim
 objdir!$objdir$ac_delim
 subdirs!$subdirs$ac_delim
 srcdir!$srcdir$ac_delim
-all_boot_languages!$all_boot_languages$ac_delim
 all_compilers!$all_compilers$ac_delim
 all_gtfiles!$all_gtfiles$ac_delim
-all_gtfiles_files_langs!$all_gtfiles_files_langs$ac_delim
-all_gtfiles_files_files!$all_gtfiles_files_files$ac_delim
 all_lang_makefrags!$all_lang_makefrags$ac_delim
 all_lang_makefiles!$all_lang_makefiles$ac_delim
 all_languages!$all_languages$ac_delim
 all_selected_languages!$all_selected_languages$ac_delim
-all_stagestuff!$all_stagestuff$ac_delim
 build_exeext!$build_exeext$ac_delim
 build_install_headers_dir!$build_install_headers_dir$ac_delim
 build_xm_file_list!$build_xm_file_list$ac_delim
 build_xm_include_list!$build_xm_include_list$ac_delim
 build_xm_defines!$build_xm_defines$ac_delim
 check_languages!$check_languages$ac_delim
-cc_set_by_configure!$cc_set_by_configure$ac_delim
-quoted_cc_set_by_configure!$quoted_cc_set_by_configure$ac_delim
 cpp_install_dir!$cpp_install_dir$ac_delim
 xmake_file!$xmake_file$ac_delim
 tmake_file!$tmake_file$ac_delim
@@ -18184,6 +18292,14 @@ host_xm_include_list!$host_xm_include_list$ac_delim
 host_xm_defines!$host_xm_defines$ac_delim
 out_host_hook_obj!$out_host_hook_obj$ac_delim
 install!$install$ac_delim
+lang_opt_files!$lang_opt_files$ac_delim
+lang_specs_files!$lang_specs_files$ac_delim
+lang_tree_files!$lang_tree_files$ac_delim
+local_prefix!$local_prefix$ac_delim
+md_file!$md_file$ac_delim
+objc_boehm_gc!$objc_boehm_gc$ac_delim
+out_file!$out_file$ac_delim
+out_object_file!$out_object_file$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -18225,16 +18341,6 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
-lang_opt_files!$lang_opt_files$ac_delim
-lang_specs_files!$lang_specs_files$ac_delim
-lang_tree_files!$lang_tree_files$ac_delim
-local_prefix!$local_prefix$ac_delim
-md_file!$md_file$ac_delim
-objc_boehm_gc!$objc_boehm_gc$ac_delim
-out_file!$out_file$ac_delim
-out_object_file!$out_object_file$ac_delim
-stage_prefix_set_by_configure!$stage_prefix_set_by_configure$ac_delim
-quoted_stage_prefix_set_by_configure!$quoted_stage_prefix_set_by_configure$ac_delim
 thread_file!$thread_file$ac_delim
 tm_file_list!$tm_file_list$ac_delim
 tm_include_list!$tm_include_list$ac_delim
@@ -18253,7 +18359,7 @@ LIBOBJS!$LIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 26; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 16; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
@@ -18661,26 +18767,6 @@ for d in $subdirs doc build
 do
     test -d $d || mkdir $d
 done
-# If the host supports symlinks, point stage[1234] at ../stage[1234] so
-# bootstrapping and the installation procedure can still use
-# CC="stage1/xgcc -Bstage1/".  If the host doesn't support symlinks,
-# FLAGS_TO_PASS has been modified to solve the problem there.
-# This is virtually a duplicate of what happens in configure.lang; we do
-# an extra check to make sure this only happens if ln -s can be used.
-case "$LN_S" in
-  *-s*)
-    for d in ${subdirs} ; do
-       STARTDIR=`${PWDCMD-pwd}`
-       cd $d
-       for t in stage1 stage2 stage3 stage4 stageprofile stagefeedback include
-       do
-               rm -f $t
-               $LN_S ../$t $t 2>/dev/null
-       done
-       cd $STARTDIR
-    done
-  ;;
-esac
  ;;
 
   esac